Loading...
Searching...
No Matches
L4virtio::Virtqueue::Used_elem Struct Reference

Type of an element of the used ring. More...

`#include <virtqueue>`

Collaboration diagram for L4virtio::Virtqueue::Used_elem:

## Public Member Functions

| Used_elem (l4_uint16_t id, l4_uint32_t len)
| Initialize a used ring element.

## Data Fields

l4_uint32_t | id
| descriptor index
l4_uint32_t | len
| length field

## Detailed Description

Type of an element of the used ring.

Definition at line 154 of file virtqueue.

## Constructor & Destructor Documentation

## Used_elem()

L4virtio::Virtqueue::Used_elem::Used_elem | ( | l4_uint16_t | id,
|  | l4_uint32_t | len )

inline

Initialize a used ring element.

Parameters

  id | The index of the descriptor to be marked as used.
  len | The total bytes written into the buffer of the descriptor chain.

Definition at line 165 of file virtqueue.

References id, and len.

The documentation for this struct was generated from the following file:

- l4/l4virtio/virtqueue